org.apache.cassandra.index.sasi.utils

## Class TypeUtil

- java.lang.Object
- - org.apache.cassandra.index.sasi.utils.TypeUtil

    public class TypeUtil
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`TypeUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `isValid(java.nio.ByteBuffer term, AbstractType<?> validator)`
`static java.nio.ByteBuffer` `tryUpcast(java.nio.ByteBuffer term, AbstractType<?> validator)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TypeUtil

    public TypeUtil()

### Method Detail

#### isValid

    public static boolean isValid(java.nio.ByteBuffer term,
                                  AbstractType<?> validator)

#### tryUpcast

    public static java.nio.ByteBuffer tryUpcast(java.nio.ByteBuffer term,
                                                AbstractType<?> validator)